Bug 1414136 - Duplicate folder names between host & vm/templates causes placement issues
Summary: Duplicate folder names between host & vm/templates causes placement issues
Keywords:
Status: CLOSED CURRENTRELEASE
Alias: None
Product: Red Hat CloudForms Management Engine
Classification: Red Hat
Component: Provisioning
Version: 5.4.0
Hardware: All
OS: All
high
high
Target Milestone: GA
: 5.8.0
Assignee: Drew Bomhof
QA Contact: Leo Khomenko
URL:
Whiteboard: vmware:provision
Depends On:
Blocks: 1416894 1416895
TreeView+ depends on / blocked
 
Reported: 2017-01-17 20:58 UTC by Josh Carter
Modified: 2020-04-15 15:06 UTC (History)
7 users (show)

Fixed In Version: 5.8.0.0
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
: 1416894 1416895 (view as bug list)
Environment:
Last Closed: 2017-06-12 17:01:11 UTC
Category: ---
Cloudforms Team: ---
Target Upstream Version:


Attachments (Terms of Use)
5.4.x_hotfix (69.00 KB, application/x-tar)
2017-01-18 15:21 UTC, Greg McCullough
no flags Details

Description Josh Carter 2017-01-17 20:58:59 UTC
Description of problem:

Duplicate folder names between host & vm/templates causes placement issues

Hosts & Clusters shared a common folder name with a folder that also resides in vm & templates inside of VMWare which will cause CloudForms to attempt to place a vm inside of the Host & Clusters folder. 

Version-Release number of selected component (if applicable): 5.4.5


How reproducible:


Steps to Reproduce:
1.
2.
3.

Actual results:


Expected results:


Additional info:

Comment 2 Greg McCullough 2017-01-18 15:21:34 UTC
Created attachment 1242198 [details]
5.4.x_hotfix

Comment 6 CFME Bot 2017-01-25 18:46:23 UTC
New commit detected on ManageIQ/manageiq/master:
https://github.com/ManageIQ/manageiq/commit/8916ec4cb6ab65c9807c55f5f6853b150e75cd57

commit 8916ec4cb6ab65c9807c55f5f6853b150e75cd57
Author:     Greg McCullough <gmccullo@redhat.com>
AuthorDate: Wed Jan 18 11:08:38 2017 -0500
Commit:     Greg McCullough <gmccullo@redhat.com>
CommitDate: Tue Jan 24 13:15:46 2017 -0500

    Limit EmsFolder list to vm folders during provisioning.
    
    https://bugzilla.redhat.com/show_bug.cgi?id=1414136

 app/models/miq_request_workflow.rb | 10 +++++++---
 1 file changed, 7 insertions(+), 3 deletions(-)

Comment 7 CFME Bot 2017-01-25 18:46:28 UTC
New commit detected on ManageIQ/manageiq/master:
https://github.com/ManageIQ/manageiq/commit/952f27787b114e80503776f48fcc4a179d5fb1c6

commit 952f27787b114e80503776f48fcc4a179d5fb1c6
Author:     Greg McCullough <gmccullo@redhat.com>
AuthorDate: Wed Jan 18 11:12:55 2017 -0500
Commit:     Greg McCullough <gmccullo@redhat.com>
CommitDate: Tue Jan 24 13:35:13 2017 -0500

    Refactor set_folder to use eligible_folders to detect folder by name.
    
    https://bugzilla.redhat.com/show_bug.cgi?id=1414136

 app/models/mixins/miq_provision_mixin.rb | 41 +++++++++++---------------------
 1 file changed, 14 insertions(+), 27 deletions(-)

Comment 12 Leo Khomenko 2017-02-06 17:13:40 UTC
verified on 5.6.4.0


Note You need to log in before you can comment on or make changes to this bug.